> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel backfill

> Cancels backfilling for the given table UUIDs and/or history table UUIDs.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /pipelines/{uuid}/backfill/cancel
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /pipelines/{uuid}/backfill/cancel:
    post:
      tags:
        - Pipelines
      summary: Cancel backfill
      description: >-
        Cancels backfilling for the given table UUIDs and/or history table
        UUIDs.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterPipelineCancelBackfillRequest'
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterPipelineCancelBackfillRequest:
      properties:
        historyTableUUIDs:
          items:
            format: uuid
            type: string
          type: array
        optionalReason:
          type: string
        tableUUIDs:
          items:
            format: uuid
            type: string
          type: array
      required:
        - tableUUIDs
        - historyTableUUIDs
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````